Results 1 to 5 of 5

Thread: Command and Macro

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2012-09
    Posts
    1
    Login to Give a bone
    0

    Question Command and Macro

    hi, I need to find the command that allow you to change your cursor in 45 degree. I also need to know the macro of this command ?

    Thanks !

  2. #2
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570
    Login to Give a bone
    0

    Default Re: Command and Macro

    Quote Originally Posted by fat_max88477597 View Post
    hi, I need to find the command that allow you to change your cursor in 45 degree. I also need to know the macro of this command ?

    Thanks !
    I guess you mean -
    Code:
    snapang
    45

  3. #3
    100 Club
    Join Date
    2009-06
    Location
    Missouri
    Posts
    112
    Login to Give a bone
    0

    Default Re: Command and Macro

    I have the following in my acad.lsp file...

    ;;===================SHORTCUT COMMANDS============================
    (defun C:0()(command "SNAPANG" 0))
    (defun C:45()(command "SNAPANG" 45))
    (defun C:30()(command "SNAPANG" 30))
    (defun C:60()(command "SNAPANG" 60))

  4. #4
    Member
    Join Date
    2006-05
    Posts
    7
    Login to Give a bone
    0

    Default Re: Command and Macro

    I use a lisp routine called RCH.lsp. I found it on the Internet and use it extensively. Thanks to whom ever wrote it. I do not take credit for it ...

    (prompt "\n...RCH loaded. Type RCH to start.......")
    (defun C:RCH (/ r e p1 p2)
    (graphscr)
    (initget "Entity")
    (setq r
    (getangle "\nSnap rotation angle/<Entity>: "))
    (cond
    ( (numberp r)
    (setvar "snapang" r))
    ( (and (or (not r) (eq r "Entity"))
    (setq e (entsel))
    (setq p1 (osnap (cadr e) "qui,end"))
    (setq p2 (osnap (cadr e) "qui,mid")))
    (setvar "snapang" (angle p1 p2)))
    (t (princ "\nInvalid selection.")))
    (princ)
    )
    (princ)

  5. #5
    100 Club
    Join Date
    2008-08
    Location
    Vancouver, BC
    Posts
    105
    Login to Give a bone
    0

    Default Re: Command and Macro

    One must remember that SNAPANG only works with your ortho turned on. If polar tracking is set, ortho turns off, but the cursor still turns at the specified SNAPANG, but does not snap to it. I prefer using polar tracking and setting the POLARANG variable.

Similar Threads

  1. Macro Repeats Last Command
    By SwizzleStick in forum AutoCAD Customization
    Replies: 8
    Last Post: 2015-06-09, 07:44 PM
  2. creating a macro/command button?
    By neil.hughes in forum AutoLISP
    Replies: 9
    Last Post: 2009-12-02, 07:17 PM
  3. Loading a script from a command macro
    By ewhite in forum AutoCAD Customization
    Replies: 7
    Last Post: 2007-04-08, 04:44 AM
  4. Command macro in Image Menu
    By sifuentes in forum AutoCAD Customization
    Replies: 9
    Last Post: 2006-05-24, 10:17 PM
  5. Use CHANGE command inside a macro
    By lhunt in forum AutoCAD Customization
    Replies: 2
    Last Post: 2006-03-10, 11:29 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •